#
# Copyright (c) 2015 Midokura SARL, All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from charmhelpers.core.services import helpers


class KeystoneRelation(helpers.RelationContext):
    name = 'keystone'
    interface = 'keystone'

    def __init__(self, *args, **kwargs):
        self.required_keys = ['admin_token',
                              'auth_protocol',
                              'service_protocol',
                              'service_host',
                              'service_port',
                              'auth_host',
                              'auth_port',
                              'service_username',
                              'service_password',
                              'service_tenant',
                              'service_tenant_id']
        helpers.RelationContext.__init__(self, *args, **kwargs)
